Jupiter - Zadanie #1641

Zadanie # 1632 (Zamknigty): Integracja z cermine

Zadanie # 1640 (Zamkniety): Parsowanie bibliografii
Utworzenie Ul do generowani bibliografii
2017-04-18 11:22 - Michat Komar

Status: Zamkniety Start date: 2017-07-31

Priority: Normalny Due date:

Assignee: Michat Komar % Done: 100%

Category: ui Estimated time: 0.00 hour

Target version: 0.3

Developer: Monika Maksymiuk Tester: Michat Komar, tukasz Waskiewicz
Description

Na formularzu doda¢ mozliwos$¢ parsowania biblografii -> tak jak w infonie.
Powinny by¢ 2 opcje, albo poprzez plik, albo poprzez textarea.

Subtasks:

Btad # 1793: Niepoprawne sklejanie reference textu

Btad # 1794: Odpowiedz serwera po nieudanym parsowaniu sktada sie z pustego rekordu bib...

Zamkniety
Zamkniety

Related issues:
Related to Jupiter - Zadanie # 1707: Sekcja do zarzadzania bibliografig
Related to Jupiter - Zadanie # 1738: Dodawanie bibliografii za pomocg uploadu...

Rozwigzany 2017-06-23 2017-06-23
Rozwigzany 2017-06-19

Associated revisions

Revision 2ec0877a - 2017-06-05 15:40 - Michat Komar

refs #1641: Dodanie formularza do testowania

Revision 34c78e0b - 2017-07-10 13:19 - Monika Maksymiuk

refs #1641. Ostylowanie

Revision e1e802f4 - 2017-07-10 14:43 - Monika Maksymiuk

refs #1641. Dodanie przestonek i komunikatow przy wyszukiwaniu i parsowaniu

Revision 9150¢295 - 2017-07-20 09:34 - Monika Maksymiuk

refs #1641. Poprawienie pozycji przestonki przy wyszukiwaniu i parsowaniu

Revision b8469fa2 - 2017-07-20 12:16 - Monika Maksymiuk

refs #1641. Bug fix

Revision 0308f0dd - 2017-09-05 12:26 - Monika Maksymiuk

refs #1641. Mozliwo$¢ wyczyszczenia wszystkich danych w sekcji, zmiana ikony usuwania sekcji i zamiana kolodw przyciskow kontekstowych
Revision db2012ca - 2017-09-12 07:40 - Monika Maksymiuk

refs #1641. Ukrywanie komunikatu o niepowodzeniu przy kolejnej probie uploadu

History

#1 - 2017-05-16 09:06 - Michat Komar
- Description updated

#2 - 2017-05-17 07:58 - Michat Komar
- Subject changed from Utworzenie Ul do generowania stéw kluczowych to Utworzenie Ul do generowani bibliografii

#3 - 2017-06-05 13:28 - Michat Komar
- Related to Zadanie #1707: Sekcja do zarzgdzania bibliografig added

#4 - 2017-06-19 09:13 - Monika Maksymiuk
- Status changed from Nowy to Testowanie

- % Done changed from 0 to 100

Sekcja gotowa. Zostato dodanie bibliografii poprzez plik.

#5 - 2017-06-19 09:14 - Monika Maksymiuk
- Related to Zadanie #1738: Dodawanie bibliografii za pomocg uploadu pliku added

#6 - 2017-06-19 09:14 - Monika Maksymiuk
- Assignee changed from Monika Maksymiuk to Michat Komar

#7 - 2017-06-21 12:52 - Michat Komar
- Status changed from Testowanie to Odpowiedz

Zaktadam, ze to zadanie dotyczy dodawania poprzez textarea (przez plik to #1738).

Moja implementacja byta tymczasowa, trzeba zbudowac formularz tak, zeby byt przyjazny uzytkownikowi.

Mozna podobnie jak w infonie doda¢ wybér typu za pomoca przyciskéw lub radiobuttonéw?

Wystanie tekstu do backendu powinno dodawac przestonke na sekcji oraz wyswietla¢ btad w popupie, jezeli taki miat miejsce.
W textarea nalezy doda¢ placeholder oraz powiekszy¢ do 3/4 linii.

#8 - 2017-06-21 12:52 - Michat Komar

- Assignee changed from Michat Komar to Monika Maksymiuk

#9 - 2017-06-22 12:44 - Lukasz Waskiewicz

uwagi

przycisk dodaj nieaktywny jesli nie wprowadzimy wymaganych danych

przycisk dodaj wywotuje akcje save (brak typu na button)

dodaé informacje o przetwarzaniu
#10 - 2017-07-10 14:43 - Monika Maksymiuk
- Status changed from Odpowiedz to Testowanie
- Assignee changed from Monika Maksymiuk to tukasz Waskiewicz

#11 - 2017-07-14 13:19 - Lukasz Waskiewicz

- Tester tukasz Waskiewicz added

#12 - 2017-07-14 15:14 - Lukasz Waskiewicz
- Status changed from Testowanie to Odpowiedz
- Assignee changed from tukasz Waskiewicz to Monika Maksymiuk

w sumie to nic nie udato mi sig¢ zaimportowac z sukcesem (RIS i BIB z infony (

https://infona-demo.vls.icm.edu.pl/ff-portal/resource/bwmetai.element.wiley-anie-v-55-i-50-anie201609236/tab/summary))

ani plik ani input

przydato by sie usuwanie zbiorcze bibliografii, jesli przez pomytke wybierzemy zly typ, teraz trzeba usuwac pojedynczo + potwierdzenie

#13 - 2017-09-05 12:35 - Monika Maksymiuk

- Status changed from Odpowiedz to Testowanie
- Assignee changed from Monika Maksymiuk to tukasz Waskiewicz

Koto przycisku dodawania jest teraz przycisk do czyszczenia danych sekc;ji

#14 - 2017-09-06 12:43 - Lukasz Waskiewicz
- Status changed from Testowanie to Odpowiedz
- Assignee changed from tukasz Waskiewicz to Monika Maksymiuk

kasowanie danych sekcji OK
dodawanie bibliografii nie
jesli sproébujemy dodaé plik i sie nie powiedzie otrzymujemy komunikat "Dodanie bibliografii nie powiodto sie" OK , ale jak potem dodamy poprawnie

plik to komunikat nie znika

przy dodawaniu z inputa jest OK

#15 - 2017-09-12 07:44 - Monika Maksymiuk

- Status changed from OdpowiedZ to Testowanie

- Assignee changed from Monika Maksymiuk to tukasz Waskiewicz
#16 - 2017-09-20 12:55 - Lukasz Waskiewicz

- Status changed from Testowanie to Rozwigzany
- Assignee changed from tukasz Waskiewicz to Michat Komar

OK

#17 - 2017-10-02 08:57 - Michat Komar
https://infona-demo.vls.icm.edu.pl/ff-portal/resource/bwmeta1.element.wiley-anie-v-55-i-50-anie201609236/tab/summary)

- Status changed from Rozwigzany to Zamkniety
